Package uk.ac.starlink.topcat.plot2

## Class PlaneAxisController

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.AxisController<P,A>
  - - uk.ac.starlink.topcat.plot2.CartesianAxisController<uk.ac.starlink.ttools.plot2.geom.PlaneSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.PlaneAspect>
    - - uk.ac.starlink.topcat.plot2.PlaneAxisController

- All Implemented Interfaces:
    `Configger`

      public class PlaneAxisController
      extends CartesianAxisController<uk.ac.starlink.ttools.plot2.geom.PlaneSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.PlaneAspect>

  Axis control for 2d Cartesian plot.
  Since:
    14 Mar 2013
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlaneAxisController()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `logChanged​(uk.ac.starlink.ttools.plot2.geom.PlaneSurfaceFactory.Profile prof1, uk.ac.starlink.ttools.plot2.geom.PlaneSurfaceFactory.Profile prof2)` | Indicates whether the scaling has changed to or from logarithmic for any of the cartesian axes between two profiles.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.AxisController

      `addActionListener, addAspectConfigTab, addControl, addNavigatorTab, assertHasKeys, clearAspect, clearRange, createDataId, getActionForwarder, getAspect, getConfig, getControls, getMainControl, getNavigator, getRanges, getSurfaceFactory, removeActionListener, setAspect, setRanges, submitReports, updateState`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.CartesianAxisController

      `addLabelsTab, configureForLayers, forceClearRange, getLabelSpecifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlaneAxisController

          public PlaneAxisController()

      Constructor.

  - ### Method Detail

    - #### logChanged

          protected boolean logChanged​(uk.ac.starlink.ttools.plot2.geom.PlaneSurfaceFactory.Profile prof1,
                                       uk.ac.starlink.ttools.plot2.geom.PlaneSurfaceFactory.Profile prof2)

      Description copied from class: `CartesianAxisController`
      Indicates whether the scaling has changed to or from logarithmic for any of the cartesian axes between two profiles. If so, it's going to be necessary to rescale, since attempting a log plot with negative values would fail.
      Specified by:
        `logChanged` in class `CartesianAxisController<uk.ac.starlink.ttools.plot2.geom.PlaneSurfaceFactory.Profile,uk.ac.starlink.ttools.plot2.geom.PlaneAspect>`
      Parameters:
        `prof1` - first profile
        `prof2` - second profile
      Returns:
        true iff some of the axes are log in prof1 and linear in prof2 or vice versa

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.